package com.om.service;

import com.om.entity.dto.AppBaseDTO;
import com.om.entity.dto.DistributorDTO;
import com.om.entity.dto.DistributorQueryPageDTO;
import com.om.entity.po.Distributor;
import com.baomidou.mybatisplus.extension.service.IService;
import com.om.entity.vo.APpDistributorVO;
import com.om.entity.vo.DistributorQueryPageVO;
import com.om.entity.vo.DistributorVO;
import com.om.utils.Result;

import java.util.List;

/**
 * <p>
 * 修理厂信息表 服务类
 * </p>
 *
 * @author bmmx
 * @since 2024-02-08
 */
public interface IDistributorService extends IService<Distributor> {

    Result createDistributor(DistributorDTO dto);

    Result<DistributorVO> queryDistributorById(Integer id);

    Result<List<DistributorVO>> queryList();

    Result upStatus(Integer id, Integer status);

    Result updateDistributor(DistributorDTO dto);

    Result<DistributorQueryPageVO> queryPageList(DistributorQueryPageDTO dto);

    Result<APpDistributorVO> AppGetById(AppBaseDTO dto);


    Result Appupdate(APpDistributorVO distributorVO);

    Result deleteDistributorById(Integer id);

}
